Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.kernel
Interface KodoStoreContext

All Superinterfaces:
  com.solarmetric.profile.ProfilingAgentProvider, com.solarmetric.profile.ProfilingEnvironment, org.apache.openjpa.kernel.StoreContext

All Known Implementing Classes:
  KodoBroker

    public interface KodoStoreContext

extends org.apache.openjpa.kernel.StoreContext, com.solarmetric.profile.ProfilingEnvironment, com.solarmetric.profile.ProfilingAgentProvider

Kodo product extensions to store context.

Since:
  4.1

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.StoreContext
`EXCLUDE_ALL, OID_ALLOW_NEW, OID_COPY, OID_NODELETED, OID_NOVALIDATE`

Method Summary

Methods inherited from interface org.apache.openjpa.kernel.StoreContext
`beginStore, embed, extentIterator, find, find, findAll, findAll, findCached, getBroker, getClassLoader, getConfiguration, getConnection, getConnectionPassword, getConnectionUserName, getDeletedTypes, getDetachState, getDirtyObjects, getFetchConfiguration, getLockLevel, getLockManager, getManagedObjects, getObjectId, getObjectIdType, getOrderDirtyObjects, getPendingTransactionalObjects, getPersistedTypes, getPopulateDataCache, getStateManager, getStoreManager, getTransactionalObjects, getUpdatedTypes, getVersion, hasConnection, isActive, isDeleted, isDirty, isLargeTransaction, isManaged, isNew, isPersistent, isStoreActive, isTransactional, lock, newObjectId, nontransactional, nontransactionalAll, retrieve, retrieveAll, setDetachState, setLargeTransaction, setOrderDirtyObjects, setPopulateDataCache, transactional, transactionalAll, unlock`

Methods inherited from interface com.solarmetric.profile.ProfilingAgentProvider
`getProfilingAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.